#ifndef VIEW_ADD_PROJECT_H
#define VIEW_ADD_PROJECT_H
#include "../project_lib.h"
#include "model/util.h"
#include "../var.h"
class View_add_project
{
private:
    Glib::RefPtr<Gtk::Builder> builder;
    Gtk::Window* wndQuotasAddProject;
    Gtk::Label* quotegroupSizeFrameLabelProject;
    Gtk::Label* quotegroupFilesFrameLabelProject;
    Gtk::Label* quotegroupSizeCurrentlyLabelProject;
    Gtk::Label* quotegroupFilesCurrentlyLabelProject;
    Gtk::Label* quotegroupSizeSoftLimitLabelProject;
    Gtk::Label* quotegroupFilesSoftLimitLabelProject;
    Gtk::Label* quoteSizeHardLimitLabelProject;
    Gtk::Label* quoteFilesHardLimitLabelProject;
    Gtk::Label* quotegroupFilesSoftLimitlabelProject;
    Gtk::Label* quotegroupFilesHarLimitLabelProject;
    Gtk::Label* lblDeviceProject;
    Gtk::Label* lblStatusQuotaProject;
    Gtk::Label* lblCatalogProject;
    Gtk::Label* lblProjectId;
    Gtk::Label* lblProjectName;
    Gtk::Button* quotegroupCancelButtonAdd;
    Gtk::Button* quotegroupSaveButtonAdd;
    Gtk::Button* btnReviewProject;
    Gtk::Button* btnGenerateProject;
    Gtk::Entry* entryCatalogProject;
    Gtk::Entry* entryProjectId;
    Gtk::Entry* entryProjectName;
    Gtk::CheckButton* chbAuto;
    Gtk::CheckButton* quotegroupSizeSoftLimitCheckProject;
    Gtk::CheckButton* quotegroupSizeHardLimitCheckProject;
    Gtk::CheckButton* quotegroupFilesSoftLimitCheckProject;
    Gtk::CheckButton* quotegroupFilesHardLimitCheckProject;
    Gtk::SpinButton* quotegroupSizeSoftLimitSpinProject;
    Gtk::SpinButton* quotegroupSizeHardLimitSpin1;
    Gtk::SpinButton* quotegroupFilesSoftLimitSpinProject;
    Gtk::SpinButton* quotegroupFilesHardLimitSpinProject;
    Gtk::ComboBoxText* quotegroupSizeSoftLimitComboProject;
    Gtk::ComboBoxText* quotegroupSizeHardLimitComboProject;
    Gtk::FileChooserDialog* wndChooseFileWallpaper;
    Gtk::Button* btnFilemangerOk;
    Gtk::Button* btnFilemangerExit;
    Gtk::ComboBoxText* cmbSetNameUGP;

public:
    View_add_project(/* args */);
    ~View_add_project();
    void setting();
    void lacalization();
    void event();
    void show();
    void close_wnd();
    void save();
    void get_builder();
    void check_limit(Gtk::CheckButton *check_button, Gtk::SpinButton *spin, Gtk::ComboBoxText *combo_box);
    void check_limit(Gtk::CheckButton *check_button, Gtk::SpinButton *spin, Gtk::Label *combo_box);
    void show_file_manager(); 
    void save_file_manager();
    void load_combo_box_UGP(vector<string> vec_UGP);
};




#endif